extractr docs
Management

Update auto top-up settings

PUT
/manage/billing/auto-topup

Authorization

BearerAuth
AuthorizationBearer <token>

Clerk session token (dashboard/management routes). In local dev mode use the X-Dev-User header instead.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/manage/billing/auto-topup" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "thresholdCredits": 1000,    "packageId": "growth"  }'
{  "enabled": true,  "thresholdCredits": 1000,  "packageId": "growth"}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}